Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 613176 - sci-visualization/spyview-20150124 : /.../pam.h:219:5: error: reference to ‘tuple’ is ambiguous
Summary: sci-visualization/spyview-20150124 : /.../pam.h:219:5: error: reference to ‘t...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard: ~arch only
Keywords:
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2017-03-19 08:29 UTC by Toralf Förster
Modified: 2017-09-26 18:24 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,6.05 KB, text/plain)
2017-03-19 08:29 UTC, Toralf Förster
Details
config.log.tbz2 (config.log.tbz2,6.57 KB, application/x-bzip)
2017-03-19 08:29 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,396.78 KB, text/plain)
2017-03-19 08:29 UTC, Toralf Förster
Details
environment (environment,115.85 KB, text/plain)
2017-03-19 08:29 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,54.92 KB, application/x-bzip)
2017-03-19 08:29 UTC, Toralf Förster
Details
sci-visualization:spyview-20150124:20170319-055136.log (sci-visualization:spyview-20150124:20170319-055136.log,46.09 KB, text/plain)
2017-03-19 08:29 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,31.56 KB, application/x-bzip)
2017-03-19 08:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-03-19 08:29:10 UTC
                 from spyview_ui.h:6,
                 from spyview_ui.C:3:
/usr/include/netpbm/pam.h:219:5: error: reference to ‘tuple’ is ambiguous
     tuple ***    tuplesP;
     ^~~~~
/usr/include/netpbm/pam.h:195:17: note: candidates are: typedef sample* tuple

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named plasma-abi32+64_20170309-193709) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.3.0 *
llvm-config:
3.9.1
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 7.2.6.9 [icedtea-7]
2)	IcedTea JDK 7.2.6.9 [icedtea-bin-7]
3)	IcedTea JDK 3.3.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-7  system-vm
  [2]   icedtea-bin-7 
  [3]   icedtea-bin-8
Comment 1 Toralf Förster gentoo-dev 2017-03-19 08:29:13 UTC
Created attachment 467502 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-03-19 08:29:17 UTC
Created attachment 467504 [details]
config.log.tbz2
Comment 3 Toralf Förster gentoo-dev 2017-03-19 08:29:20 UTC
Created attachment 467506 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-03-19 08:29:23 UTC
Created attachment 467508 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-03-19 08:29:26 UTC
Created attachment 467510 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-03-19 08:29:29 UTC
Created attachment 467512 [details]
sci-visualization:spyview-20150124:20170319-055136.log
Comment 7 Toralf Förster gentoo-dev 2017-03-19 08:29:32 UTC
Created attachment 467514 [details]
temp.tbz2
Comment 8 Peter Levine 2017-05-06 02:40:49 UTC
Fixed with sci-visualization/spyview-20150124-r1
Comment 9 Andreas K. Hüttel gentoo-dev 2017-09-26 18:24:42 UTC
(In reply to Peter Levine from comment #8)
> Fixed with sci-visualization/spyview-20150124-r1

Thanks for the info.